summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2015-09-26 23:26:37 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2015-09-28 16:44:34 -0400
commite6118706df7e73bdd08cefa7dd3ccb73b2faa392 (patch)
tree92b7723e6f569b1dfe128c88b7e9b785bb512572 /games-rpg
parentdev-python/sjsxp: EAPI 5 bump. Removes java-virtual/stax-api dependency and f... (diff)
downloadgentoo-e6118706df7e73bdd08cefa7dd3ccb73b2faa392.tar.gz
gentoo-e6118706df7e73bdd08cefa7dd3ccb73b2faa392.tar.bz2
gentoo-e6118706df7e73bdd08cefa7dd3ccb73b2faa392.zip
version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'games-rpg')
-rw-r--r--games-rpg/manaplus/Manifest1
-rw-r--r--games-rpg/manaplus/manaplus-1.5.9.26.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/games-rpg/manaplus/Manifest b/games-rpg/manaplus/Manifest
index cdd098c731d..ec4584916d8 100644
--- a/games-rpg/manaplus/Manifest
+++ b/games-rpg/manaplus/Manifest
@@ -1,2 +1,3 @@
DIST manaplus-1.5.6.20.tar.xz 9376348 SHA256 cee7ce82c730c3e2254bc335023eb5531a3bcb4434a926f8685e16a2651f5b7e SHA512 bec1a2f9e0c034f234ce66836454df7296ce366a55d635713f4ba6103b4ab12d5a0dfd5d00b6b67a935499226e50ed1d1750f37ac70f06017d047015ba3a3627 WHIRLPOOL 728621e395fdb6ba4491e35d25897346cd70676a459c729cb56d258aeb6b413e144e57f5f306a7084511f5c0cbe3425ac25b921f3c5367d7db3696e43e869365
DIST manaplus-1.5.8.15.tar.xz 9399088 SHA256 c9ebf1c106fd04f8b192b4f07b15528a69bd3541f5eeee7cc5ecfa643a1dab9c SHA512 c99f5f782c794f0697242a2191b0eb5062964919abc6122cc88c2eb2bc32e4ce085b10c4d97d926ee72b0bac406db3130fc05d76cb8e6f1241579a115db8d44d WHIRLPOOL fc5600fe2e42f362abe507a99834bdf1810ef643709fba0005a78119728e4f204df8e7ef2672ba8548fd611f48ddb3b9a063a104b216f3c000b3ee52d83eacab
+DIST manaplus-1.5.9.26.tar.xz 9441816 SHA256 46efd357bc5e51311300e9239dead96f32a6a0a3c6407c091208e1b359d0151c SHA512 78cb38682fde6fb2fdb2f3805be45d69d926e2965bba3630c47f5f9ebc2d81b7dcae9dd08ae3bcaefd8837b02e09ec8da89b870052a232eb2ca8b9a9f8120413 WHIRLPOOL 4c2f153a79d71e6e69ec0b01419885453777e010c313fd4f86727cd39ec67d5eaeeeaa6237443b594ba3b42fba194e43f15f4fe5f4f43df4366aa2a85b4ce506
diff --git a/games-rpg/manaplus/manaplus-1.5.9.26.ebuild b/games-rpg/manaplus/manaplus-1.5.9.26.ebuild
new file mode 100644
index 00000000000..f2ed73b4c19
--- /dev/null
+++ b/games-rpg/manaplus/manaplus-1.5.9.26.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games
+
+DESCRIPTION="OpenSource 2D MMORPG client for Evol Online and The Mana World"
+HOMEPAGE="http://manaplus.evolonline.org"
+SRC_URI="http://download.evolonline.org/manaplus/download/${PV}/manaplus-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls opengl"
+
+RDEPEND="
+ >=dev-games/physfs-1.0.0
+ dev-libs/libxml2
+ media-libs/libpng:0=
+ media-libs/libsdl2[X,opengl?,video]
+ media-libs/sdl2-gfx
+ media-libs/sdl2-image[png]
+ media-libs/sdl2-mixer[vorbis]
+ media-libs/sdl2-net
+ media-libs/sdl2-ttf
+ net-misc/curl
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-misc/xdg-utils
+ x11-apps/xmessage
+ media-fonts/dejavu
+ media-fonts/wqy-microhei
+ media-fonts/liberation-fonts
+ media-fonts/mplus-outline-fonts
+ nls? ( virtual/libintl )
+ opengl? ( virtual/opengl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ sed -i \
+ -e '/^SUBDIRS/s/fonts//' \
+ data/Makefile.in || die
+}
+
+src_configure() {
+ CONFIG_SHELL=/bin/bash \
+ egamesconf \
+ --with-sdl2 \
+ --without-internalsdlgfx \
+ --localedir=/usr/share/locale \
+ --prefix="/usr" \
+ --bindir="${GAMES_BINDIR}" \
+ $(use_with opengl) \
+ $(use_enable nls)
+}
+
+src_install() {
+ default
+ dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusans-bold.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusansmono-bold.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSansMono.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusansmono.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSans.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusans.ttf
+ dosym /usr/share/fonts/liberation-fonts/LiberationSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsans-bold.ttf
+ dosym /usr/share/fonts/liberation-fonts/LiberationMono-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsansmono-bold.ttf
+ dosym /usr/share/fonts/liberation-fonts/LiberationMono-Regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsansmono.ttf
+ dosym /usr/share/fonts/liberation-fonts/LiberationSans-Regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsans.ttf
+ dosym /usr/share/fonts/wqy-microhei/wqy-microhei.ttc "${GAMES_DATADIR}"/${PN}/data/fonts/wqy-microhei.ttf
+ dosym /usr/share/fonts/mplus-outline-fonts/mplus-1p-bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/mplus-1p-bold.ttf
+ dosym /usr/share/fonts/mplus-outline-fonts/mplus-1p-regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/mplus-1p-regular.ttf
+
+ prepgamesdirs
+}